gnutls_psk_set_server_credentials_file(3)

NAME
gnutls_psk_set_server_credentials_file - Used to set the password files, in a gnutls_psk_server_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_set_server_credentials_file(gnutls_psk_server_credentials_t res, const char * password_file);

ARGUMENTS

gnutls_psk_server_credentials_t      res
    is an gnutls_psk_server_credentials_t structure.

const char * password_file
    is the PSK password file (passwd.psk)

DESCRIPTION
This function sets the password file, in a gnutls_psk_server_credentials_t structure. This password file holds usernames and keys and will be used for PSK authentication.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.